%define debug_package %{nil} 

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

Name:		libfvde
Version:	20220125
Release:	1%{?dist}
Summary:	Library to support the FileVault Drive Encryption (FVDE) format
Group:		System Environment/Libraries
License:	Apache
Source:		%{name}-experimental-%{version}.tar.gz
URL:		https://github.com/libyal/libfvde/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	openssl zlib libxml2
BuildRequires:	openssl-devel zlib-devel libxml2-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig
BuildRequires:  autoconf automake pkgconfig gettext-devel libtool gcc
BuildRequires:	flex byacc

%description
libfvde is a library to support the FileVault Drive Encryption (FVDE) format

%package devel
Summary: Header files and libraries for developing applications for libfvde
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libfvde.

%package tools
Summary: Several tools for accessing FileVault encrypted volumes
Group: Applications/System
Requires: %{name} >= %{version}-%{release}  fuse-libs
BuildRequires:  fuse-devel

%description tools
Several tools for accessing the FileVault encrypted volumes

%if 0%{?with_python2}
%package python2
Summary: Python 2 bindings for libfvde
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python
BuildRequires: python2-devel
Obsoletes: %{name}-python
Provides: %{name}-python = %{version}

%description python2
Python 2 bindings for libfvde
%endif

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libfvde
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description python%{python3_pkgversion}
Python 3 bindings for libfvde
%endif

%prep
%setup -q

%build
if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} %{?with_python2: %{?with_python3:--enable-python2}} %{?with_python2: %{!?with_python3:--enable-python}} %{?with_python3:--enable-python3}
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/fvdeinfo
%attr(755,root,root) %{_bindir}/fvdemount
%attr(755,root,root) %{_bindir}/fvdewipekey
%{_mandir}/man1/*

%if 0%{?with_python2}
%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so
%endif

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Tue Jan 25 2022 Lawrence R. Rogers <lrr@cert.org> 20220125-1
* Release 20220125-1
	Version 20220125

* Fri Jan 21 2022 Lawrence R. Rogers <lrr@cert.org> 20220121-1
* Release 20220121-1
	Version 20220121

* Sun Apr 25 2021 Lawrence R. Rogers <lrr@cert.org> 20210425-1
* Release 20210425-1
	Version 20210425

* Sun Dec  6 2020 Lawrence R. Rogers <lrr@cert.org> 20191221-2
* Release 20191221-2
	Release 2 - Removed Python 2 package

* Sat Dec 21 2019 Lawrence R. Rogers <lrr@cert.org> 20191221-1
* Release 20191221-1
	Version 20191221

* Mon Nov  4 2019 Lawrence R. Rogers <lrr@cert.org> 20191104-1
* Release 20191104-1
	Version 20191104

* Sat May 18 2019 Lawrence R. Rogers <lrr@cert.org> 20190104-4
* Release 20190104-4
	Version 20190104-4: Uses python3_pkgversion for the current version of Python 3.

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20190104-3
* Release 20190104-3
        Release 3 - Rebuilt for Python 3.6 for CentOS/RHEL 7

* Mon Jan 28 2019 Lawrence R. Rogers <lrr@cert.org> 20190104-2
* Release 20190104-2
        Version as of 20190104
	-python packages renamed to -python2

* Fri Jan  4 2019 Lawrence R. Rogers <lrr@cert.org> 20190104-1
* Release 20190104-1
	Version 20190104

* Mon Jan  8 2018 Lawrence R. Rogers <lrr@cert.org> 20180108-1
* Release 20180108-1
	Version 20180108

* Sat Sep 30 2017 Lawrence R. Rogers <lrr@cert.org> 20170930-1
* Release 20170930-1
	Version 20170930

* Tue Oct 13 2015 Lawrence R. Rogers <lrr@cert.org> 20151013-1
* Release 20151013-1
	20151018
	* worked on format support

	20151017
	* worked on Python bindings

	20151013
	* worked on format support

	20151013
	* worked on XML plist

	20151012
	* worked on XML plist

	20151011
	* worked on format support

	20150926
	* added ps1 scripts

	20150720
	* worked on signature check

* Sun Feb 22 2015 Lawrence R. Rogers <lrr@cert.org> 20150222-1
* Release 20150222-1
	20150222
	* Code clean up
	* Worked on documenation
	* Changes for handling 0x001a metadata with different plist key sequence

	20150106
	* 2015 update

	20141226
	* changes for updated dependencies

	20141130
	* code clean up

	20141120
	* code clean up

	20141018
	* removed README.macosx

	20141017
	* changes for deployment

* Sun Sep  7 2014 Lawrence R. Rogers <lrr@cert.org> 20140907-1
* Release 20140907-1
	20140907
	* updated dependencies
	* updated msvscpp files, not operational yet

	20140531
	* updated dependencies

	20140112
	* 2014 update
	* updated dependencies
	* exposed some encryption context plist functions in API

	20130909
	* updated dependencies
	* worked on libcthreads build support

- Auto-generated
* Fri Jun  7 2013 Joachim Metz <joachim.metz@gmail.com> 20130305-1
- Auto-generated

